﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OOO_WriteAndClear.DBModels
{
    public partial class Order
    {
        public decimal OrderCost => 
            OrderProducts.Sum(a=> a.ProductArticleNumberNavigation.CurrentPrice * a.ProductAmount);

        public decimal OrderCostWithoutDiscount =>
            OrderProducts.Sum(a => a.ProductArticleNumberNavigation.ProductCost * a.ProductAmount);

        public decimal OrderDiscount => OrderCostWithoutDiscount - OrderCost;

        public decimal OrderDiscountPercent => 1 - (OrderCost / OrderCostWithoutDiscount);
    }
}
